Subject: Re: [PATCH] autodetect serial console on efika

From: Olaf Hering <[email-masked]>
Date: Mon, 21 Jan 2008 21:34:59 +0100

On Mon, Jan 21, Grant Likely wrote:

> On 1/21/08, Olaf Hering <[email-masked]> wrote:
> >
> > Efika boards have to be booted with console=ttyPSC0 unless there is a
> > graphics card plugged in. Detect if the firmware stdout is the serial
> > connector.
> >
> > Signed-off-by: Olaf Hering <[email-masked]>
> 
> Hrrrum; I think this is a good idea, but I'm not thrilled with the
> approach.  Here are my concerns:
> 
> - Determining that linux,stdout-path points to a PSC should should be
> done in common code.  It's useful for all 5200 boards, not just the
> Efika.  (However, if 'failsafe' processing is efika specific, then it
> can stay in efika.c).  This might be best done within the PSC driver
> itself, but I'm not sure.
> - Recognizing a psc node should be done by inspecting the compatible
> property, not by device_type and model properties.

I dont have any other 5200 hardware to test a different patch.
Please improve my version and submit it for inclusion.